#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "K40AttachedTerrorRadius.generated.h"

class UTerrorRadiusEmitterComponent;

UCLASS(Blueprintable)
class AK40AttachedTerrorRadius : public AActor
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UTerrorRadiusEmitterComponent* _terrorRadiusEmitter;

public:
	AK40AttachedTerrorRadius();
};

FORCEINLINE uint32 GetTypeHash(const AK40AttachedTerrorRadius) { return 0; }
